--- title: "VoiceBot Intent" slug: "server-api-bot-voicebot-intent" updated: 2022-07-12T03:20:56Z published: 2022-07-12T03:20:56Z canonical: "developer.comm100.com/server-api-bot-voicebot-intent" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # VoiceBot Intent ## VoiceBot Intent - `VoiceBot Intent` - VoiceBot Intent Manage - `GET bot/voicebotIntents` - [Get the list of VoiceBot Intent](/docs/server-api-bot-voicebot-intent#get-the-list-of-voicebot-intent) - `GET bot/voicebotIntents/{id}` - [Get a single VoiceBot Intent](/docs/server-api-bot-voicebot-intent#get-a-single-voicebot-intent) - `POST bot/voicebotIntents` - [Create a new VoiceBot Intent](/docs/server-api-bot-voicebot-intent#create-a-new-voicebot-intent) - `PUT bot/voicebotIntents/{id}` - [Update the VoiceBot Intent](/docs/server-api-bot-voicebot-intent#update-the-voicebot-intent) - `DELETE bot/voicebotIntents/{id}` - [Remove the VoiceBot Intent](/docs/server-api-bot-voicebot-intent#remove-the-voicebot-intent) - `Voicebot Intent Question` - Voicebot Intent Question Manage - `GET bot/voicebotIntentQuestions` - [Get the list of Voicebot Intent Question](/docs/server-api-bot-voicebot-intent#get-the-list-of-voicebot-intent-question) - `GET bot/voicebotIntentQuestions/{id}` - [Get a single Voicebot Intent Question](/docs/server-api-bot-voicebot-intent#get-a-single-voicebot-intent-question) - `POST bot/voicebotIntentQuestions` - [Create a new Voicebot Intent Question](/docs/server-api-bot-voicebot-intent#create-a-new-voicebot-intent-question) - `PUT bot/voicebotIntentQuestions/{id}` - [Update the Voicebot Intent Question](/docs/server-api-bot-voicebot-intent#update-the-voicebot-intent-question) - `DELETE bot/voicebotIntentQuestions/{id}` - [Remove the Voicebot Intent Question](/docs/server-api-bot-voicebot-intent#remove-the-voicebot-intent-question) - `Voicebot Intent Question Keyword` - Voicebot Intent Question Keyword Manage - `GET bot/voicebotIntentQuestionKeywords` - [Get the list of Voicebot Intent Question Keyword](/docs/server-api-bot-voicebot-intent#get-the-list-of-voicebot-intent-question-keyword) - `GET bot/voicebotIntentQuestionKeywords/{id}` - [Get a single Voicebot Intent Question Keyword](/docs/server-api-bot-voicebot-intent#get-a-single-voicebot-intent-question-keyword) - `POST bot/voicebotIntentQuestionKeywords` - [Create a new Voicebot Intent Question Keyword](/docs/server-api-bot-voicebot-intent#create-a-new-voicebot-intent-question-keyword) - `PUT bot/voicebotIntentQuestionKeywords/{id}` - [Update the Voicebot Intent Question Keyword](/docs/server-api-bot-voicebot-intent#update-the-voicebot-intent-question-keyword) - `DELETE bot/voicebotIntentQuestionKeywords/{id}` - [Remove the Voicebot Intent Question Keyword](/docs/server-api-bot-voicebot-intent#remove-the-voicebot-intent-question-keyword) - `Voicebot Intent Prompts` - Voicebot Intent Prompts Manage - `GET bot/voicebotIntentPrompts` - [Get the list of Voicebot Intent Prompts](/docs/server-api-bot-voicebot-intent#get-the-list-of-voicebot-intent-prompts) - `GET bot/voicebotIntentPrompts/{id}` - [Get a single Voicebot Intent Prompt](/docs/server-api-bot-voicebot-intent#get-a-single-voicebot-intent-prompt) - `POST bot/voicebotIntentPrompts` - [Create a new Voicebot Intent Prompt](/docs/server-api-bot-voicebot-intent#create-a-new-voicebot-intent-prompt) - `PUT bot/voicebotIntentPrompts/{id}` - [Update the Voicebot Intent Prompt](/docs/server-api-bot-voicebot-intent#update-the-voicebot-intent-prompt) - `DELETE bot/voicebotIntentPrompts/{id}` - [Remove the Voicebot Intent Prompt](/docs/server-api-bot-voicebot-intent#remove-the-voicebot-intent-prompt) - `Voicebot Response` - Voicebot Response Manage - `GET bot/voicebotResponses` - [Get the list of Voicebot Response](/docs/server-api-bot-voicebot-intent#get-the-list-of-voicebot-response) - `GET bot/voicebotResponses/{id}` - [Get a single Voicebot Response](/docs/server-api-bot-voicebot-intent#get-a-single-voicebot-response) - `POST bot/voicebotResponses` - [Create a new Voicebot Response](/docs/server-api-bot-voicebot-intent#create-a-new-voicebot-response) - `PUT bot/voicebotResponses/{id}` - [Update the Voicebot Response](/docs/server-api-bot-voicebot-intent#update-the-voicebot-response) - `DELETE bot/voicebotResponses/{id}` - [Remove the Voicebot Response](/docs/server-api-bot-voicebot-intent#remove-the-voicebot-response) - `VoicebotIntentCategory` - VoicebotIntentCategory Manage - `GET bot/voicebotIntentCategories` - [Get the list of VoicebotIntentCategory](/docs/server-api-bot-voicebot-intent#get-the-list-of-voicebotintentcategory) - `GET bot/voicebotIntentCategories/{id}` - [Get a single Voicebot Intent Category](/docs/server-api-bot-voicebot-intent#get-a-single-voicebot-intent-category) - `POST bot/voicebotIntentCategories` - [Create a new Voicebot Intent Category](/docs/server-api-bot-voicebot-intent#create-a-new-voicebot-intent-category) - `PUT bot/voicebotIntentCategories/{id}` - [Update the Voicebot Intent Category](/docs/server-api-bot-voicebot-intent#update-the-voicebot-intent-category) - `DELETE bot/voicebotIntentCategories/{id}` - [Remove the Voicebot Intent Category](/docs/server-api-bot-voicebot-intent#remove-the-voicebot-intent-category) ### VoiceBot Intent JSON Format VoiceBot Intent is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the voicebot intent. | | `name` | string | Name of the voicebot intent. | | `voicebotIntentCategoryId` | guid | Id of the voicebot intent Category. | | `voicebotResponseId` | guid | Id of the voicebot Response. | | `voicebotIntentQuestions` | [voicebotIntentQuestions[]](/docs/server-api-bot-voicebot-intent#voicebot-intent-question-json-format) | Reference to Voicebot Intent Question. | | `voicebotIntentCategory` | [voicebotIntentCategory](/docs/server-api-bot-voicebot-intent#voicebot-intent-category-json-format) | Reference to Voicebot Intent Category. | | `voicebotIntentSyncStatus` | [voicebotIntentSyncStatus](/docs/server-api-bot-voicebot-intent#voicebot-intent-sync-status-json-format) | Reference to Voicebot Intent Sync Status. | | `voicebotIntentPrompts` | [voicebotIntentPrompts[]](/docs/server-api-bot-voicebot-intent#voicebot-intent-prompt-json-format) | Reference to Voicebot Intent Prompt. | | `voicebotResponse` | [voicebotResponse](/docs/server-api-bot-voicebot-intent#voicebot-response-json-format) | Reference to Voicebot Response. | ### Get the list of VoiceBot Intent `GET bot/voicebotIntents` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed values are `voicebotIntentQuestion`, `voicebotIntentCategory`, `voicebotIntentPrompt`, `voicebotResponse`. | - #### Response: An array of [VoiceBot Intent](/docs/server-api-bot-voicebot-intent#voicebot-intent-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntents \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "3bc9ea5a-5739-4b1e-813d-fb2794fb4433", "name": "", "voicebotIntentCategoryId": "", "voicebotResponseId": "", "voicebotIntentQuestions": [ { "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a", "content": "", "intentId": "", "order": 1, "voicebotIntentQuestionKeywords": [ { "id": "b9a501fa-9bc0-48be-8dfa-43c6ba15f94d", "intentQuestionId": "", "variableName": "", "startPosition": 1, "endPosition": 1, "ifPrebuiltEntity": true, "prebuiltEntityId": "", "entityId": "", "prebuiltEntity": { "dialogflowEntityId": "376B93B1-C148-EB11-8100-00155D081D0B", "id": "386B93B1-C148-EB11-8100-00155D081D0B", "name": "entity", "description": "description", "example": [ "entity1", "entity2" ], "languageCode": "en" }, "entity": { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } } ] } ], "voicebotIntentCategory": { "id": "44e7f26e-c5c0-4a80-a5cc-153a81b44ed9", "voicebotId": "", "name": "", "order": 1, "parentId": "" }, "voicebotIntentSyncStatus": { "dialogFlowId": "", "count": 1, "status": 1, "parentId": "" }, "voicebotIntentPrompts": [ { "question": "", "options": [ "" ], "entityId": "", "id": "7396de03-33b3-4358-be0c-5c1b243d6950", "prebuiltEntityId": "", "mappingFieldName": "", "variableName": "", "ifPrebuiltEntity": true, "intentId": "", "order": 1 } ], "voicebotResponse": { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } } ] ``` ### Get a single VoiceBot Intent `GET bot/voicebotIntents/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed values are `voicebotIntentQuestion`, `voicebotIntentCategory`, `voicebotIntentPrompt`, `voicebotResponse`. | - #### Response: [VoiceBot Intent](/docs/server-api-bot-voicebot-intent#voicebot-intent-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntents/3bc9ea5a-5739-4b1e-813d-fb2794fb4433 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "3bc9ea5a-5739-4b1e-813d-fb2794fb4433", "name": "", "voicebotIntentCategoryId": "", "voicebotResponseId": "", "voicebotIntentQuestions": [ { "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a", "content": "", "intentId": "", "order": 1, "voicebotIntentQuestionKeywords": [ { "id": "b9a501fa-9bc0-48be-8dfa-43c6ba15f94d", "intentQuestionId": "", "variableName": "", "startPosition": 1, "endPosition": 1, "ifPrebuiltEntity": true, "prebuiltEntityId": "", "entityId": "", "prebuiltEntity": { "dialogflowEntityId": "376B93B1-C148-EB11-8100-00155D081D0B", "id": "386B93B1-C148-EB11-8100-00155D081D0B", "name": "entity", "description": "description", "example": [ "entity1", "entity2" ], "languageCode": "en" }, "entity": { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } } ] } ], "voicebotIntentCategory": { "id": "44e7f26e-c5c0-4a80-a5cc-153a81b44ed9", "voicebotId": "", "name": "", "order": 1, "parentId": "" }, "voicebotIntentSyncStatus": { "dialogFlowId": "", "count": 1, "status": 1, "parentId": "" }, "voicebotIntentPrompts": [ { "question": "", "options": [ "" ], "entityId": "", "id": "7396de03-33b3-4358-be0c-5c1b243d6950", "prebuiltEntityId": "", "mappingFieldName": "", "variableName": "", "ifPrebuiltEntity": true, "intentId": "", "order": 1 } ], "voicebotResponse": { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } } ``` ### Create a new VoiceBot Intent `POST bot/voicebotIntents` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `name` | string | body | yes | Name of the voicebot intent. | | `voicebotIntentCategoryId` | guid | body | no | Id of the voicebot intent Category. | | `voicebotResponseId` | guid | body | no | Id of the voicebot Response. | | `voicebotIntentQuestions` | [voicebotIntentQuestions[]](/docs/server-api-bot-voicebot-intent#voicebot-intent-question-json-format) | body | no | Reference to Voicebot Intent Question. | | `voicebotIntentPrompts` | [voicebotIntentPrompts[]](/docs/server-api-bot-voicebot-intent#voicebot-intent-prompt-json-format) | body | no | Reference to Voicebot Intent Prompt. | | `voicebotResponse` | [voicebotResponse](/docs/server-api-bot-voicebot-intent#voicebot-response-json-format) | body | no | Reference to Voicebot Response. | - #### Response: [VoiceBot Intent](/docs/server-api-bot-voicebot-intent#voicebot-intent-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntents \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"name":"","voicebotIntentCategoryId":"","voicebotResponseId":"","voicebotIntentQuestions":[{"content":"","order":1,"voicebotIntentQuestionKeywords":[{"variableName":"","startPosition":1,"endPosition":1,"ifPrebuiltEntity":true,"prebuiltEntityId":"","entityId":""}]}],"voicebotIntentPrompts":[{"question":"","options":[""],"entityId":"","prebuiltEntityId":"","mappingFieldName":"","variableName":"","ifPrebuiltEntity":true,"order":1}],"voicebotResponse":{"voicebotActions":[{"xPosition":1,"yPosition":1,"type":"","voicebotActionClearValue":{"variableNames":[""],"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionCollectDTMFDigits":{"message":"","variableName":"","numberOfDigits":1,"stopGatherAfterPressKey":"","nextActionId":"d486a8a3-35f9-42fe-ab16-d9b44786e41b"},"voicebotActionCollectSpeechResponse":{"message":"","variableName":"","lowSTTConfidenceMessage":"","lowSTTConfidenceRepeatTimes":1,"isConfirmationRequired":true,"confirmationMessage":"","confirmationText":"","confirmationKey":"","actionIdWhenLowSTTConfidence":"eefe4538-bec3-47ef-89ea-879b59a16941","nextActionId":"33d7d509-15e0-4366-a5e0-373a0156b491"},"voicebotActionCondition":{"otherCaseActionId":"7396de03-33b3-4358-be0c-5c1b243d6950","voicebotActionConditionCases":[{"logicalExpression":"","goToActionId":"28593b3e-26a6-46af-bb2b-b8919b30ce39","conditionExpressionType":"","order":1,"voicebotActionConditionCaseConditions":[{"order":1,"operator":"","fieldName":"{!Variable.Name}","value":""}]}]},"voicebotActionEndCall":{},"voicebotActionGoToIntent":{"intentId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionIVRMenu":{"actionIdWhenInvalidInput":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","message":"","invalidInputMessage":"","invalidInputRepeatTime":1,"voicebotActionIVRMenuOptions":[{"nextActionId":"6c2be44f-c391-4454-8ebe-8d3503905e5a","text":"","key":"","order":1}]},"voicebotActionPlayAudio":{"nextActionId":"a1e714d7-4507-4879-b9d7-b5efb1643a49","audioPath":"","name":""},"voicebotActionPlayText":{"nextActionId":"4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c","message":""},"voicebotActionSetVariableValue":{"variableName":"","value":"","nextActionId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionStart":{"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionTransferCall":{"actionIdWhenTransferFailed":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","transferTo":""},"voicebotActionWebhook":{"ifSendChatTranscript":true,"url":"","otherResponseToActionId":"64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7","additionalPostBody":"","voicebotActionWebhookHeaders":[{"value":"","order":1,"key":""}],"voicebotActionWebhookResponseCodeToActions":[{"responseCode":"","nextActionId":"44018834-86bf-4109-8061-afe3f98733f1","order":1}],"voicebotActionWebhookResponseToVariables":[{"order":1,"responseKey":"","variableName":""}]}}]}}' ``` Response: HTTP/1.1 201 Created ``` { "id": "3bc9ea5a-5739-4b1e-813d-fb2794fb4433", "name": "", "voicebotIntentCategoryId": "", "voicebotResponseId": "", "voicebotIntentQuestions": [ { "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a", "content": "", "intentId": "", "order": 1, "voicebotIntentQuestionKeywords": [ { "id": "b9a501fa-9bc0-48be-8dfa-43c6ba15f94d", "intentQuestionId": "", "variableName": "", "startPosition": 1, "endPosition": 1, "ifPrebuiltEntity": true, "prebuiltEntityId": "", "entityId": "", "prebuiltEntity": { "dialogflowEntityId": "376B93B1-C148-EB11-8100-00155D081D0B", "id": "386B93B1-C148-EB11-8100-00155D081D0B", "name": "entity", "description": "description", "example": [ "entity1", "entity2" ], "languageCode": "en" }, "entity": { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } } ] } ], "voicebotIntentCategory": { "id": "44e7f26e-c5c0-4a80-a5cc-153a81b44ed9", "voicebotId": "", "name": "", "order": 1, "parentId": "" }, "voicebotIntentSyncStatus": { "dialogFlowId": "", "count": 1, "status": 1, "parentId": "" }, "voicebotIntentPrompts": [ { "question": "", "options": [ "" ], "entityId": "", "id": "7396de03-33b3-4358-be0c-5c1b243d6950", "prebuiltEntityId": "", "mappingFieldName": "", "variableName": "", "ifPrebuiltEntity": true, "intentId": "", "order": 1 } ], "voicebotResponse": { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } } ``` ### Update the VoiceBot Intent `PUT bot/voicebotIntents/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `name` | string | body | yes | Name of the voicebot intent. | | `voicebotIntentCategoryId` | guid | body | no | Id of the voicebot intent Category. | | `voicebotResponseId` | guid | body | no | Id of the voicebot Response. | | `voicebotIntentQuestions` | [voicebotIntentQuestions[]](/docs/server-api-bot-voicebot-intent#voicebot-intent-question-json-format) | body | no | Reference to Voicebot Intent Question. | | `voicebotIntentPrompts` | [voicebotIntentPrompts[]](/docs/server-api-bot-voicebot-intent#voicebot-intent-prompt-json-format) | body | no | Reference to Voicebot Intent Prompt. | | `voicebotResponse` | [voicebotResponse](/docs/server-api-bot-voicebot-intent#voicebot-response-json-format) | body | no | Reference to Voicebot Response. | - #### Response: [VoiceBot Intent](/docs/server-api-bot-voicebot-intent#voicebot-intent-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntents/3bc9ea5a-5739-4b1e-813d-fb2794fb4433 \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"name":"","voicebotIntentCategoryId":"","voicebotResponseId":"","voicebotIntentQuestions":[{"content":"","order":1,"voicebotIntentQuestionKeywords":[{"variableName":"","startPosition":1,"endPosition":1,"ifPrebuiltEntity":true,"prebuiltEntityId":"","entityId":""}]}],"voicebotIntentPrompts":[{"question":"","options":[""],"entityId":"","prebuiltEntityId":"","mappingFieldName":"","variableName":"","ifPrebuiltEntity":true,"order":1}],"voicebotResponse":{"voicebotActions":[{"xPosition":1,"yPosition":1,"type":"","voicebotActionClearValue":{"variableNames":[""],"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionCollectDTMFDigits":{"message":"","variableName":"","numberOfDigits":1,"stopGatherAfterPressKey":"","nextActionId":"d486a8a3-35f9-42fe-ab16-d9b44786e41b"},"voicebotActionCollectSpeechResponse":{"message":"","variableName":"","lowSTTConfidenceMessage":"","lowSTTConfidenceRepeatTimes":1,"isConfirmationRequired":true,"confirmationMessage":"","confirmationText":"","confirmationKey":"","actionIdWhenLowSTTConfidence":"eefe4538-bec3-47ef-89ea-879b59a16941","nextActionId":"33d7d509-15e0-4366-a5e0-373a0156b491"},"voicebotActionCondition":{"otherCaseActionId":"7396de03-33b3-4358-be0c-5c1b243d6950","voicebotActionConditionCases":[{"logicalExpression":"","goToActionId":"28593b3e-26a6-46af-bb2b-b8919b30ce39","conditionExpressionType":"","order":1,"voicebotActionConditionCaseConditions":[{"order":1,"operator":"","fieldName":"{!Variable.Name}","value":""}]}]},"voicebotActionEndCall":{},"voicebotActionGoToIntent":{"intentId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionIVRMenu":{"actionIdWhenInvalidInput":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","message":"","invalidInputMessage":"","invalidInputRepeatTime":1,"voicebotActionIVRMenuOptions":[{"nextActionId":"6c2be44f-c391-4454-8ebe-8d3503905e5a","text":"","key":"","order":1}]},"voicebotActionPlayAudio":{"nextActionId":"a1e714d7-4507-4879-b9d7-b5efb1643a49","audioPath":"","name":""},"voicebotActionPlayText":{"nextActionId":"4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c","message":""},"voicebotActionSetVariableValue":{"variableName":"","value":"","nextActionId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionStart":{"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionTransferCall":{"actionIdWhenTransferFailed":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","transferTo":""},"voicebotActionWebhook":{"ifSendChatTranscript":true,"url":"","otherResponseToActionId":"64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7","additionalPostBody":"","voicebotActionWebhookHeaders":[{"value":"","order":1,"key":""}],"voicebotActionWebhookResponseCodeToActions":[{"responseCode":"","nextActionId":"44018834-86bf-4109-8061-afe3f98733f1","order":1}],"voicebotActionWebhookResponseToVariables":[{"order":1,"responseKey":"","variableName":""}]}}]}}' ``` Response: HTTP/1.1 200 OK ``` { "id": "3bc9ea5a-5739-4b1e-813d-fb2794fb4433", "name": "", "voicebotIntentCategoryId": "", "voicebotResponseId": "", "voicebotIntentQuestions": [ { "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a", "content": "", "intentId": "", "order": 1, "voicebotIntentQuestionKeywords": [ { "id": "b9a501fa-9bc0-48be-8dfa-43c6ba15f94d", "intentQuestionId": "", "variableName": "", "startPosition": 1, "endPosition": 1, "ifPrebuiltEntity": true, "prebuiltEntityId": "", "entityId": "", "prebuiltEntity": { "dialogflowEntityId": "376B93B1-C148-EB11-8100-00155D081D0B", "id": "386B93B1-C148-EB11-8100-00155D081D0B", "name": "entity", "description": "description", "example": [ "entity1", "entity2" ], "languageCode": "en" }, "entity": { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } } ] } ], "voicebotIntentCategory": { "id": "44e7f26e-c5c0-4a80-a5cc-153a81b44ed9", "voicebotId": "", "name": "", "order": 1, "parentId": "" }, "voicebotIntentSyncStatus": { "dialogFlowId": "", "count": 1, "status": 1, "parentId": "" }, "voicebotIntentPrompts": [ { "question": "", "options": [ "" ], "entityId": "", "id": "7396de03-33b3-4358-be0c-5c1b243d6950", "prebuiltEntityId": "", "mappingFieldName": "", "variableName": "", "ifPrebuiltEntity": true, "intentId": "", "order": 1 } ], "voicebotResponse": { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } } ``` ### Remove the VoiceBot Intent `DELETE bot/voicebotIntents/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntents/3bc9ea5a-5739-4b1e-813d-fb2794fb4433 \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content ### Voicebot Intent Question JSON Format Voicebot Intent Question is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the voicebot intent question. | | `content` | string | Visitor questions that tigger this intent. | | `intentId` | guid | Id of the voicebot intent. | | `order` | integer | Order of the voicebot intent Question. | | `voicebotIntentQuestionKeywords` | [voicebotIntentQuestionKeywords[]](/docs/server-api-bot-voicebot-intent#voicebot-intent-question-keyword-json-format) | Reference to Voicebot Intent Question Keyword. | ### Get the list of Voicebot Intent Question `GET bot/voicebotIntentQuestions` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed value is "voicebotIntentQuestionKeyword". | - #### Response: An array of [Voicebot Intent Question](/docs/server-api-bot-voicebot-intent#voicebot-intent-question-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentQuestions \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a", "content": "", "intentId": "", "order": 1, "voicebotIntentQuestionKeywords": [ { "id": "b9a501fa-9bc0-48be-8dfa-43c6ba15f94d", "intentQuestionId": "", "variableName": "", "startPosition": 1, "endPosition": 1, "ifPrebuiltEntity": true, "prebuiltEntityId": "", "entityId": "", "prebuiltEntity": { "dialogflowEntityId": "376B93B1-C148-EB11-8100-00155D081D0B", "id": "386B93B1-C148-EB11-8100-00155D081D0B", "name": "entity", "description": "description", "example": [ "entity1", "entity2" ], "languageCode": "en" }, "entity": { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } } ] } ] ``` ### Get a single Voicebot Intent Question `GET bot/voicebotIntentQuestions/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed value is `voicebotIntentQuestionKeyword`. | - #### Response: [Voicebot Intent Question](/docs/server-api-bot-voicebot-intent#voicebot-intent-question-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentQuestions/5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a", "content": "", "intentId": "", "order": 1, "voicebotIntentQuestionKeywords": [ { "id": "b9a501fa-9bc0-48be-8dfa-43c6ba15f94d", "intentQuestionId": "", "variableName": "", "startPosition": 1, "endPosition": 1, "ifPrebuiltEntity": true, "prebuiltEntityId": "", "entityId": "", "prebuiltEntity": { "dialogflowEntityId": "376B93B1-C148-EB11-8100-00155D081D0B", "id": "386B93B1-C148-EB11-8100-00155D081D0B", "name": "entity", "description": "description", "example": [ "entity1", "entity2" ], "languageCode": "en" }, "entity": { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } } ] } ``` ### Create a new Voicebot Intent Question `POST bot/voicebotIntentQuestions` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `content` | string | body | yes | Visitor questions that tigger this intent. | | `intentId` | guid | body | no | Id of the voicebot intent. | | `order` | integer | body | no | Order of the voicebot intent Question. | | `voicebotIntentQuestionKeywords` | [voicebotIntentQuestionKeywords[]](/docs/server-api-bot-voicebot-intent#voicebot-intent-question-keyword-json-format) | body | no | Reference to Voicebot Intent Question Keyword. | - #### Response: [Voicebot Intent Question](/docs/server-api-bot-voicebot-intent#voicebot-intent-question-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentQuestions \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"content":"","intentId":"","order":1,"voicebotIntentQuestionKeywords":[{"variableName":"","startPosition":1,"endPosition":1,"ifPrebuiltEntity":true,"prebuiltEntityId":"","entityId":""}]}' ``` Response: HTTP/1.1 201 Created ``` { "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a", "content": "", "intentId": "", "order": 1, "voicebotIntentQuestionKeywords": [ { "id": "b9a501fa-9bc0-48be-8dfa-43c6ba15f94d", "intentQuestionId": "", "variableName": "", "startPosition": 1, "endPosition": 1, "ifPrebuiltEntity": true, "prebuiltEntityId": "", "entityId": "", "prebuiltEntity": { "dialogflowEntityId": "376B93B1-C148-EB11-8100-00155D081D0B", "id": "386B93B1-C148-EB11-8100-00155D081D0B", "name": "entity", "description": "description", "example": [ "entity1", "entity2" ], "languageCode": "en" }, "entity": { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } } ] } ``` ### Update the Voicebot Intent Question `PUT bot/voicebotIntentQuestions/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `content` | string | body | yes | Visitor questions that tigger this intent. | | `intentId` | guid | body | no | Id of the voicebot intent. | | `order` | integer | body | no | Order of the voicebot intent Question. | | `voicebotIntentQuestionKeywords` | [voicebotIntentQuestionKeywords[]](/docs/server-api-bot-voicebot-intent#voicebot-intent-question-keyword-json-format) | body | no | Reference to Voicebot Intent Question Keyword. | - #### Response: [Voicebot Intent Question](/docs/server-api-bot-voicebot-intent#voicebot-intent-question-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentQuestions/5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"content":"","intentId":"","order":1,"voicebotIntentQuestionKeywords":[{"variableName":"","startPosition":1,"endPosition":1,"ifPrebuiltEntity":true,"prebuiltEntityId":"","entityId":""}]}' ``` Response: HTTP/1.1 200 OK ``` { "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a", "content": "", "intentId": "", "order": 1, "voicebotIntentQuestionKeywords": [ { "id": "b9a501fa-9bc0-48be-8dfa-43c6ba15f94d", "intentQuestionId": "", "variableName": "", "startPosition": 1, "endPosition": 1, "ifPrebuiltEntity": true, "prebuiltEntityId": "", "entityId": "", "prebuiltEntity": { "dialogflowEntityId": "376B93B1-C148-EB11-8100-00155D081D0B", "id": "386B93B1-C148-EB11-8100-00155D081D0B", "name": "entity", "description": "description", "example": [ "entity1", "entity2" ], "languageCode": "en" }, "entity": { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } } ] } ``` ### Remove the Voicebot Intent Question `DELETE bot/voicebotIntentQuestions/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentQuestions/5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content ### Voicebot Intent Question Keyword JSON Format Voicebot Intent Question Keyword is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the voicebot intent Question keyword. | | `intentQuestionId` | guid | Id of the chatbot intent question. | | `variableName` | string | Label to distinguish same entity marked on one question. | | `startPosition` | integer | Start index of current question you marked. | | `endPosition` | integer | End index of current question you marked. | | `ifPrebuiltEntity` | bool | Whether marked entity is prebuilt entity or custom entity. | | `prebuiltEntityId` | guid | Id of the marked prebuilt entity. | | `entityId` | guid | Id of the entity marked in one question. | | `prebuiltEntity` | [prebuiltEntity](/x2/docs/server-api-bot-prebuilt-entity) | Reference to Prebuilt Entity. | | `entity` | [entity](/x2/docs/server-api-bot-voicebot-entity) | Reference to Voicebot Entity. | ### Get the list of Voicebot Intent Question Keyword `GET bot/voicebotIntentQuestionKeywords` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed value is "voicebotEntity". | - #### Response: An array of [Voicebot Intent Question Keyword](/docs/server-api-bot-voicebot-intent#voicebot-intent-question-keyword-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentQuestionKeywords \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "b9a501fa-9bc0-48be-8dfa-43c6ba15f94d", "intentQuestionId": "", "variableName": "", "startPosition": 1, "endPosition": 1, "ifPrebuiltEntity": true, "prebuiltEntityId": "", "entityId": "", "prebuiltEntity": { "dialogflowEntityId": "376B93B1-C148-EB11-8100-00155D081D0B", "id": "386B93B1-C148-EB11-8100-00155D081D0B", "name": "entity", "description": "description", "example": [ "entity1", "entity2" ], "languageCode": "en" }, "entity": { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } } ] ``` ### Get a single Voicebot Intent Question Keyword `GET bot/voicebotIntentQuestionKeywords/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed value is `voicebotEntity`. | - #### Response: [Voicebot Intent Question Keyword](/docs/server-api-bot-voicebot-intent#voicebot-intent-question-keyword-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentQuestionKeywords/b9a501fa-9bc0-48be-8dfa-43c6ba15f94d \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "b9a501fa-9bc0-48be-8dfa-43c6ba15f94d", "intentQuestionId": "", "variableName": "", "startPosition": 1, "endPosition": 1, "ifPrebuiltEntity": true, "prebuiltEntityId": "", "entityId": "", "prebuiltEntity": { "dialogflowEntityId": "376B93B1-C148-EB11-8100-00155D081D0B", "id": "386B93B1-C148-EB11-8100-00155D081D0B", "name": "entity", "description": "description", "example": [ "entity1", "entity2" ], "languageCode": "en" }, "entity": { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } } ``` ### Create a new Voicebot Intent Question Keyword `POST bot/voicebotIntentQuestionKeywords` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `intentQuestionId` | guid | body | yes | Id of the chatbot intent question. | | `variableName` | string | body | no | Label to distinguish same entity marked on one question. | | `startPosition` | integer | body | no | Start index of current question you marked. | | `endPosition` | integer | body | no | End index of current question you marked. | | `ifPrebuiltEntity` | bool | body | no | Whether marked entity is prebuilt entity or custom entity. | | `prebuiltEntityId` | guid | body | no | Id of the marked prebuilt entity. | | `entityId` | guid | body | no | Id of the entity marked in one question. | - #### Response: [Voicebot Intent Question Keyword](/docs/server-api-bot-voicebot-intent#voicebot-intent-question-keyword-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentQuestionKeywords \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"intentQuestionId":"","variableName":"","startPosition":1,"endPosition":1,"ifPrebuiltEntity":true,"prebuiltEntityId":"","entityId":""}' ``` Response: HTTP/1.1 201 Created ``` { "id": "b9a501fa-9bc0-48be-8dfa-43c6ba15f94d", "intentQuestionId": "", "variableName": "", "startPosition": 1, "endPosition": 1, "ifPrebuiltEntity": true, "prebuiltEntityId": "", "entityId": "", "prebuiltEntity": { "dialogflowEntityId": "376B93B1-C148-EB11-8100-00155D081D0B", "id": "386B93B1-C148-EB11-8100-00155D081D0B", "name": "entity", "description": "description", "example": [ "entity1", "entity2" ], "languageCode": "en" }, "entity": { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } } ``` ### Update the Voicebot Intent Question Keyword `PUT bot/voicebotIntentQuestionKeywords/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `intentQuestionId` | guid | body | yes | Id of the chatbot intent question. | | `variableName` | string | body | no | Label to distinguish same entity marked on one question. | | `startPosition` | integer | body | no | Start index of current question you marked. | | `endPosition` | integer | body | no | End index of current question you marked. | | `ifPrebuiltEntity` | bool | body | no | Whether marked entity is prebuilt entity or custom entity. | | `prebuiltEntityId` | guid | body | no | Id of the marked prebuilt entity. | | `entityId` | guid | body | no | Id of the entity marked in one question. | - #### Response: [Voicebot Intent Question Keyword](/docs/server-api-bot-voicebot-intent#voicebot-intent-question-keyword-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentQuestionKeywords/b9a501fa-9bc0-48be-8dfa-43c6ba15f94d \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"intentQuestionId":"","variableName":"","startPosition":1,"endPosition":1,"ifPrebuiltEntity":true,"prebuiltEntityId":"","entityId":""}' ``` Response: HTTP/1.1 200 OK ``` { "id": "b9a501fa-9bc0-48be-8dfa-43c6ba15f94d", "intentQuestionId": "", "variableName": "", "startPosition": 1, "endPosition": 1, "ifPrebuiltEntity": true, "prebuiltEntityId": "", "entityId": "", "prebuiltEntity": { "dialogflowEntityId": "376B93B1-C148-EB11-8100-00155D081D0B", "id": "386B93B1-C148-EB11-8100-00155D081D0B", "name": "entity", "description": "description", "example": [ "entity1", "entity2" ], "languageCode": "en" }, "entity": { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } } ``` ### Remove the Voicebot Intent Question Keyword `DELETE bot/voicebotIntentQuestionKeywords/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentQuestionKeywords/b9a501fa-9bc0-48be-8dfa-43c6ba15f94d \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content ### Voicebot Intent Prompt JSON Format Voicebot Intent Prompt is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `question` | string | Prompt question. | | `options` | string [] | Prompt options. | | `entityId` | guid | id of chatbot entity. | | `id` | guid | Id of the voicebot intent prompt. | | `prebuiltEntityId` | guid | Id of the prebuilt entity. | | `mappingFieldName` | string | Name of the mapping field. | | `variableName` | string | Name of the variable. | | `ifPrebuiltEntity` | bool | Whether the entity prebuilt or not. | | `intentId` | guid | Id of the voicebot intent. | | `order` | integer | Must be greater than or equal to 0. | ### Get the list of Voicebot Intent Prompts `GET bot/voicebotIntentPrompts` - #### Parameters: No Parameters - #### Response: An array of [Voicebot Intent Prompt](/docs/server-api-bot-voicebot-intent#voicebot-intent-prompt-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentPrompts \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "question": "", "options": [ "" ], "entityId": "", "id": "7396de03-33b3-4358-be0c-5c1b243d6950", "prebuiltEntityId": "", "mappingFieldName": "", "variableName": "", "ifPrebuiltEntity": true, "intentId": "", "order": 1 } ] ``` ### Get a single Voicebot Intent Prompt `GET bot/voicebotIntentPrompts/{id}` - #### Parameters: No Parameters - #### Response: [Voicebot Intent Prompt](/docs/server-api-bot-voicebot-intent#voicebot-intent-prompt-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentPrompts/7396de03-33b3-4358-be0c-5c1b243d6950 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "question": "", "options": [ "" ], "entityId": "", "id": "7396de03-33b3-4358-be0c-5c1b243d6950", "prebuiltEntityId": "", "mappingFieldName": "", "variableName": "", "ifPrebuiltEntity": true, "intentId": "", "order": 1 } ``` ### Create a new Voicebot Intent Prompt `POST bot/voicebotIntentPrompts` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `question` | string | body | no | Prompt question. | | `options` | string [] | body | no | Prompt options. | | `entityId` | guid | body | no | id of chatbot entity. | | `prebuiltEntityId` | guid | body | no | Id of the prebuilt entity. | | `mappingFieldName` | string | body | no | Name of the mapping field. | | `variableName` | string | body | no | Name of the variable. | | `ifPrebuiltEntity` | bool | body | no | Whether the entity prebuilt or not. | | `intentId` | guid | body | yes | Id of the voicebot intent. | | `order` | integer | body | no | Must be greater than or equal to 0. | - #### Response: [Voicebot Intent Prompt](/docs/server-api-bot-voicebot-intent#voicebot-intent-prompt-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentPrompts \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"question":"","options":[""],"entityId":"","prebuiltEntityId":"","mappingFieldName":"","variableName":"","ifPrebuiltEntity":true,"intentId":"","order":1}' ``` Response: HTTP/1.1 201 Created ``` { "question": "", "options": [ "" ], "entityId": "", "id": "7396de03-33b3-4358-be0c-5c1b243d6950", "prebuiltEntityId": "", "mappingFieldName": "", "variableName": "", "ifPrebuiltEntity": true, "intentId": "", "order": 1 } ``` ### Update the Voicebot Intent Prompt `PUT bot/voicebotIntentPrompts/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `question` | string | body | no | Prompt question. | | `options` | string [] | body | no | Prompt options. | | `entityId` | guid | body | no | id of chatbot entity. | | `prebuiltEntityId` | guid | body | no | Id of the prebuilt entity. | | `mappingFieldName` | string | body | no | Name of the mapping field. | | `variableName` | string | body | no | Name of the variable. | | `ifPrebuiltEntity` | bool | body | no | Whether the entity prebuilt or not. | | `intentId` | guid | body | yes | Id of the voicebot intent. | | `order` | integer | body | no | Must be greater than or equal to 0. | - #### Response: [Voicebot Intent Prompt](/docs/server-api-bot-voicebot-intent#voicebot-intent-prompt-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentPrompts/7396de03-33b3-4358-be0c-5c1b243d6950 \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"question":"","options":[""],"entityId":"","prebuiltEntityId":"","mappingFieldName":"","variableName":"","ifPrebuiltEntity":true,"intentId":"","order":1}' ``` Response: HTTP/1.1 200 OK ``` { "question": "", "options": [ "" ], "entityId": "", "id": "7396de03-33b3-4358-be0c-5c1b243d6950", "prebuiltEntityId": "", "mappingFieldName": "", "variableName": "", "ifPrebuiltEntity": true, "intentId": "", "order": 1 } ``` ### Remove the Voicebot Intent Prompt `DELETE bot/voicebotIntentPrompts/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentPrompts/7396de03-33b3-4358-be0c-5c1b243d6950 \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content ### Voicebot Response JSON Format Voicebot Response is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the voicebot Response. | | `voicebotActions` | [voicebotActions[]](/x2/docs/server-api-bot-voicebot-action) | Reference to VoiceBot Action. | ### Get the list of Voicebot Response `GET bot/voicebotResponses` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed value is "voicebotAction". | - #### Response: An array of [Voicebot Response](/docs/server-api-bot-voicebot-intent#voicebot-response-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotResponses \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } ] ``` ### Get a single Voicebot Response `GET bot/voicebotResponses/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed value is "voicebotAction". | - #### Response: [Voicebot Response](/docs/server-api-bot-voicebot-intent#voicebot-response-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotResponses/44018834-86bf-4109-8061-afe3f98733f1 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } ``` ### Create a new Voicebot Response `POST bot/voicebotResponses` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `voicebotActions` | [voicebotActions[]](/x2/docs/server-api-bot-voicebot-action) | body | no | Reference to VoiceBot Action. | - #### Response: [Voicebot Response](/docs/server-api-bot-voicebot-intent#voicebot-response-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotResponses \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"voicebotActions":[{"xPosition":1,"yPosition":1,"type":"","voicebotActionClearValue":{"variableNames":[""],"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionCollectDTMFDigits":{"message":"","variableName":"","numberOfDigits":1,"stopGatherAfterPressKey":"","nextActionId":"d486a8a3-35f9-42fe-ab16-d9b44786e41b"},"voicebotActionCollectSpeechResponse":{"message":"","variableName":"","lowSTTConfidenceMessage":"","lowSTTConfidenceRepeatTimes":1,"isConfirmationRequired":true,"confirmationMessage":"","confirmationText":"","confirmationKey":"","actionIdWhenLowSTTConfidence":"eefe4538-bec3-47ef-89ea-879b59a16941","nextActionId":"33d7d509-15e0-4366-a5e0-373a0156b491"},"voicebotActionCondition":{"otherCaseActionId":"7396de03-33b3-4358-be0c-5c1b243d6950","voicebotActionConditionCases":[{"logicalExpression":"","goToActionId":"28593b3e-26a6-46af-bb2b-b8919b30ce39","conditionExpressionType":"","order":1,"voicebotActionConditionCaseConditions":[{"order":1,"operator":"","fieldName":"{!Variable.Name}","value":""}]}]},"voicebotActionEndCall":{},"voicebotActionGoToIntent":{"intentId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionIVRMenu":{"actionIdWhenInvalidInput":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","message":"","invalidInputMessage":"","invalidInputRepeatTime":1,"voicebotActionIVRMenuOptions":[{"nextActionId":"6c2be44f-c391-4454-8ebe-8d3503905e5a","text":"","key":"","order":1}]},"voicebotActionPlayAudio":{"nextActionId":"a1e714d7-4507-4879-b9d7-b5efb1643a49","audioPath":"","name":""},"voicebotActionPlayText":{"nextActionId":"4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c","message":""},"voicebotActionSetVariableValue":{"variableName":"","value":"","nextActionId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionStart":{"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionTransferCall":{"actionIdWhenTransferFailed":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","transferTo":""},"voicebotActionWebhook":{"ifSendChatTranscript":true,"url":"","otherResponseToActionId":"64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7","additionalPostBody":"","voicebotActionWebhookHeaders":[{"value":"","order":1,"key":""}],"voicebotActionWebhookResponseCodeToActions":[{"responseCode":"","nextActionId":"44018834-86bf-4109-8061-afe3f98733f1","order":1}],"voicebotActionWebhookResponseToVariables":[{"order":1,"responseKey":"","variableName":""}]}}]}' ``` Response: HTTP/1.1 201 Created ``` { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } ``` ### Update the Voicebot Response `PUT bot/voicebotResponses/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `voicebotActions` | [voicebotActions[]](/x2/docs/server-api-bot-voicebot-action) | body | no | Reference to VoiceBot Action. | - #### Response: [Voicebot Response](/docs/server-api-bot-voicebot-intent#voicebot-response-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotResponses/44018834-86bf-4109-8061-afe3f98733f1 \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"voicebotActions":[{"xPosition":1,"yPosition":1,"type":"","voicebotActionClearValue":{"variableNames":[""],"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionCollectDTMFDigits":{"message":"","variableName":"","numberOfDigits":1,"stopGatherAfterPressKey":"","nextActionId":"d486a8a3-35f9-42fe-ab16-d9b44786e41b"},"voicebotActionCollectSpeechResponse":{"message":"","variableName":"","lowSTTConfidenceMessage":"","lowSTTConfidenceRepeatTimes":1,"isConfirmationRequired":true,"confirmationMessage":"","confirmationText":"","confirmationKey":"","actionIdWhenLowSTTConfidence":"eefe4538-bec3-47ef-89ea-879b59a16941","nextActionId":"33d7d509-15e0-4366-a5e0-373a0156b491"},"voicebotActionCondition":{"otherCaseActionId":"7396de03-33b3-4358-be0c-5c1b243d6950","voicebotActionConditionCases":[{"logicalExpression":"","goToActionId":"28593b3e-26a6-46af-bb2b-b8919b30ce39","conditionExpressionType":"","order":1,"voicebotActionConditionCaseConditions":[{"order":1,"operator":"","fieldName":"{!Variable.Name}","value":""}]}]},"voicebotActionEndCall":{},"voicebotActionGoToIntent":{"intentId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionIVRMenu":{"actionIdWhenInvalidInput":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","message":"","invalidInputMessage":"","invalidInputRepeatTime":1,"voicebotActionIVRMenuOptions":[{"nextActionId":"6c2be44f-c391-4454-8ebe-8d3503905e5a","text":"","key":"","order":1}]},"voicebotActionPlayAudio":{"nextActionId":"a1e714d7-4507-4879-b9d7-b5efb1643a49","audioPath":"","name":""},"voicebotActionPlayText":{"nextActionId":"4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c","message":""},"voicebotActionSetVariableValue":{"variableName":"","value":"","nextActionId":"ffa760a6-def3-4517-a399-49a5b0fb169e"},"voicebotActionStart":{"nextActionId":"f526f2fc-49a6-4e20-b954-e0d22824d017"},"voicebotActionTransferCall":{"actionIdWhenTransferFailed":"9ffce41d-260c-4df0-a0e7-95136c4fadf2","transferTo":""},"voicebotActionWebhook":{"ifSendChatTranscript":true,"url":"","otherResponseToActionId":"64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7","additionalPostBody":"","voicebotActionWebhookHeaders":[{"value":"","order":1,"key":""}],"voicebotActionWebhookResponseCodeToActions":[{"responseCode":"","nextActionId":"44018834-86bf-4109-8061-afe3f98733f1","order":1}],"voicebotActionWebhookResponseToVariables":[{"order":1,"responseKey":"","variableName":""}]}}]}' ``` Response: HTTP/1.1 200 OK ``` { "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActions": [ { "xPosition": 1, "yPosition": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "type": "", "voicebotResponseId": "", "voicebotActionClearValue": { "variableNames": [ "" ], "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionCollectDTMFDigits": { "message": "", "variableName": "", "numberOfDigits": 1, "stopGatherAfterPressKey": "", "voicebotActionId": "", "nextActionId": "d486a8a3-35f9-42fe-ab16-d9b44786e41b" }, "voicebotActionCollectSpeechResponse": { "message": "", "variableName": "", "lowSTTConfidenceMessage": "", "lowSTTConfidenceRepeatTimes": 1, "isConfirmationRequired": true, "confirmationMessage": "", "confirmationText": "", "confirmationKey": "", "voicebotActionId": "", "actionIdWhenLowSTTConfidence": "eefe4538-bec3-47ef-89ea-879b59a16941", "nextActionId": "33d7d509-15e0-4366-a5e0-373a0156b491" }, "voicebotActionCondition": { "otherCaseActionId": "7396de03-33b3-4358-be0c-5c1b243d6950", "voicebotActionId": "", "voicebotActionConditionCases": [ { "logicalExpression": "", "goToActionId": "28593b3e-26a6-46af-bb2b-b8919b30ce39", "conditionExpressionType": "", "voicebotActionId": "", "id": "deef4e3a-932d-4c8e-9c9e-e63419ff8dc4", "order": 1, "voicebotActionConditionCaseConditions": [ { "voicebotActionConditionCaseId": "", "order": 1, "operator": "", "fieldName": "{!Variable.Name}", "value": "", "id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a" } ] } ] }, "voicebotActionEndCall": { "voicebotActionId": "" }, "voicebotActionGoToIntent": { "intentId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionIVRMenu": { "voicebotActionId": "", "actionIdWhenInvalidInput": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "message": "", "invalidInputMessage": "", "invalidInputRepeatTime": 1, "voicebotActionIVRMenuOptions": [ { "id": "d486a8a3-35f9-42fe-ab16-d9b44786e41b", "voicebotActionId": "", "nextActionId": "6c2be44f-c391-4454-8ebe-8d3503905e5a", "text": "", "key": "", "order": 1 } ] }, "voicebotActionPlayAudio": { "voicebotActionId": "", "nextActionId": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "audioPath": "", "name": "" }, "voicebotActionPlayText": { "voicebotActionId": "", "nextActionId": "4e6b30bd-19fe-4041-bcdb-77fff0eb0d5c", "message": "" }, "voicebotActionSetVariableValue": { "variableName": "", "value": "", "nextActionId": "ffa760a6-def3-4517-a399-49a5b0fb169e", "voicebotActionId": "" }, "voicebotActionStart": { "voicebotActionId": "", "nextActionId": "f526f2fc-49a6-4e20-b954-e0d22824d017" }, "voicebotActionTransferCall": { "voicebotActionId": "", "actionIdWhenTransferFailed": "9ffce41d-260c-4df0-a0e7-95136c4fadf2", "transferTo": "" }, "voicebotActionWebhook": { "ifSendChatTranscript": true, "url": "", "voicebotActionId": "", "otherResponseToActionId": "64760a4e-d78e-4f7c-961d-fcbcb0cd9ea7", "additionalPostBody": "", "voicebotActionWebhookHeaders": [ { "value": "", "id": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "key": "", "voicebotActionId": "" } ], "voicebotActionWebhookResponseCodeToActions": [ { "responseCode": "", "nextActionId": "44018834-86bf-4109-8061-afe3f98733f1", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "voicebotActionId": "" } ], "voicebotActionWebhookResponseToVariables": [ { "voicebotActionId": "", "order": 1, "id": "44018834-86bf-4109-8061-afe3f98733f1", "responseKey": "", "variableName": "" } ] } } ] } ``` ### Remove the Voicebot Response `DELETE bot/voicebotResponses/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotResponses/44018834-86bf-4109-8061-afe3f98733f1 \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content ### Voicebot Intent Category JSON Format Voicebot Intent Category is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the category. | | `voicebotId` | guid | Id of the voicebot. | | `name` | string | Name of the category. | | `order` | integer | Must be greater than or equal to 0, ascending order. | | `parentId` | guid | Parent Id of the category. | ### Get the list of VoicebotIntentCategory `GET bot/voicebotIntentCategories` - #### Parameters: No Parameters - #### Response: An array of [Voicebot Intent Category](/docs/server-api-bot-voicebot-intent#voicebot-intent-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentCategories \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "44e7f26e-c5c0-4a80-a5cc-153a81b44ed9", "voicebotId": "", "name": "", "order": 1, "parentId": "" } ] ``` ### Get a single Voicebot Intent Category `GET bot/voicebotIntentCategories/{id}` - #### Parameters: No Parameters - #### Response: [Voicebot Intent Category](/docs/server-api-bot-voicebot-intent#voicebot-intent-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentCategories/44e7f26e-c5c0-4a80-a5cc-153a81b44ed9 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "44e7f26e-c5c0-4a80-a5cc-153a81b44ed9", "voicebotId": "", "name": "", "order": 1, "parentId": "" } ``` ### Create a new Voicebot Intent Category `POST bot/voicebotIntentCategories` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `voicebotId` | guid | body | yes | Id of the voicebot. | | `name` | string | body | yes | Name of the category. | | `order` | integer | body | no | Must be greater than or equal to 0, ascending order. | | `parentId` | guid | body | no | Parent Id of the category. | - #### Response: [Voicebot Intent Category](/docs/server-api-bot-voicebot-intent#voicebot-intent-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentCategories \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"voicebotId":"","name":"","order":1,"parentId":""}' ``` Response: HTTP/1.1 201 Created ``` { "id": "44e7f26e-c5c0-4a80-a5cc-153a81b44ed9", "voicebotId": "", "name": "", "order": 1, "parentId": "" } ``` ### Update the Voicebot Intent Category `PUT bot/voicebotIntentCategories/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `voicebotId` | guid | body | yes | Id of the voicebot. | | `name` | string | body | yes | Name of the category. | | `order` | integer | body | no | Must be greater than or equal to 0, ascending order. | | `parentId` | guid | body | no | Parent Id of the category. | - #### Response: [Voicebot Intent Category](/docs/server-api-bot-voicebot-intent#voicebot-intent-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentCategories/44e7f26e-c5c0-4a80-a5cc-153a81b44ed9 \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"voicebotId":"","name":"","order":1,"parentId":""}' ``` Response: HTTP/1.1 200 OK ``` { "id": "44e7f26e-c5c0-4a80-a5cc-153a81b44ed9", "voicebotId": "", "name": "", "order": 1, "parentId": "" } ``` ### Remove the Voicebot Intent Category `DELETE bot/voicebotIntentCategories/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotIntentCategories/44e7f26e-c5c0-4a80-a5cc-153a81b44ed9 \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content © 2021 | [Comm100](https://www.comm100.com)